
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
  <script>
import extend from "@/extension/quartzJob/deviceProtocolDetail.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "设备协议明细信息",
      name: "deviceProtocolDetail",
      url: "/DeviceProtocolDetail/",
      sortName: "createDate",
    });
    const editFormFields = ref({
      deviceType: "",
      deviceProParamName: "",
      protocolDetailType: "",
      protocalDetailValue: "",
      protocolDetailDes: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "设备类型",
          required: true,
          field: "deviceType",
          type: "select",
          dataKey: "deviceType",
          data: [],
        },
        {
          title: "参数名称",
          required: true,
          field: "deviceProParamName",
          type: "string",
        },
        {
          title: "明细类型",
          required: true,
          field: "protocolDetailType",
          type: "string",
        },
        {
          title: "明细取值",
          required: true,
          field: "protocalDetailValue",
          type: "string",
        },
      ],
      [
        {
          title: "明细说明",
          field: "protocolDetailDes",
          type: "textarea",
        },
      ],
    ]);
    const searchFormFields = ref({
      deviceType: "",
      deviceProParamName: "",
      protocolDetailType: "",
    });
    const searchFormOptions = ref([
      [
      {
          title: "设备类型",
          field: "deviceType",
          type: "select",
          dataKey: "deviceType",
          data: [],
        },
        {
          title: "参数名称",
          field: "deviceProParamName",
          type: "like",
        },
        {
          title: "明细类型",
          field: "protocolDetailType",
          type: "like",
        },
        {
          title: "明细取值",
          field: "protocalDetailValue",
          type: "like",
        },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "deviceType",
        title: "设备类型",
        type: "string",
        width: 180,
        align: "left",
        bind: { key: "deviceType", data: [] },
      },
      {
        field: "deviceProParamName",
        title: "设备协议参数名称",
        type: "string",
        width: 180,
        align: "left",
      },
      {
        field: "protocolDetailType",
        title: "设备协议明细类型",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "protocalDetailValue",
        title: "设备协议明细取值",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "protocolDetailDes",
        title: "设备协议明细说明",
        type: "string",
        width: 350,
        align: "left",
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "",
      table: "",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
  